<?php

function load_template_options_header()
{
    ?>

	<?php
	
	
	$space_font_name   = array("+");
	if ( get_theme_mod('custom_font_website_title') != '' ) { $font_website_title = get_theme_mod('custom_font_website_title') ; } else { $font_website_title = get_theme_mod('font_website_title') ; }
	if ( get_theme_mod('custom_font_subtitle') != '' ) { $font_subtitle = get_theme_mod('custom_font_subtitle') ; } else { $font_subtitle = get_theme_mod('font_subtitle') ; }
	if ( get_theme_mod('custom_font_title_slogan') != '' ) { $font_title_slogan = get_theme_mod('custom_font_title_slogan') ; } else { $font_title_slogan = get_theme_mod('font_title_slogan') ; }
	if ( get_theme_mod('custom_font_slogan') != '' ) { $font_slogan = get_theme_mod('custom_font_slogan') ; } else { $font_slogan = get_theme_mod('font_slogan') ; }
	if ( get_theme_mod('custom_font_menu') != '' ) { $font_menu = get_theme_mod('custom_font_menu') ; } else { $font_menu = get_theme_mod('font_menu') ; }
	if ( get_theme_mod('custom_font_h1') != '' ) { $font_h1 = get_theme_mod('custom_font_h1') ; } else { $font_h1 = get_theme_mod('font_h1') ; }
	if ( get_theme_mod('custom_font_h2') != '' ) { $font_h2 = get_theme_mod('custom_font_h2') ; } else { $font_h2 = get_theme_mod('font_h2') ; }
	if ( get_theme_mod('custom_font_content') != '' ) { $font_content = get_theme_mod('custom_font_content') ; } else { $font_content = get_theme_mod('font_content') ; }
	
	// 		find the position of the caracter ":"
	
	
	
	
	function sep_font($font)
	{
		$pos=strpos($font, ":");
		$length=strlen($font);
		if ($pos !== false)
		{
			return $pos ;
		}
		else
		{
			return $length ;
		}
	}
	
	
		// load all non standard fonts from Google
	
		$defaultFonts = array('Arial', 'Verdana', 'Trebuchet ms', 'Helvetica', 'Georgia', 'Times new roman');
		$allFonts = array($font_content, $font_menu, $font_website_title, $font_subtitle, $font_title_slogan, $font_slogan, $font_h1, $font_h2);
		$googleFonts = array_unique(array_diff($allFonts, $defaultFonts));
		foreach ($googleFonts as $loadFont) {
			?>
			
			<link href="http://fonts.googleapis.com/css?family=<?php echo $loadFont ; ?>" media="all" type="text/css" rel="stylesheet" >
			
			<?php
		}
	
	?>
	
	<style type="text/css">
	
		/**		Translation for Contact form 		**/
	
		.noty-error.fill-in-fields:before {
		content:'<?php echo __( 'Please, fill in all the required fields', 'theme01' ) ; ?>';
		}
		
		.noty-error.error-occured:before {
		content:'<?php echo __( 'Sorry an error occured while sending mail', 'theme01' ) ; ?>';
		}
		
		.noty-success:before {
		content:'<?php echo __( 'Thank you for your email', 'theme01' ) ; ?>';
		}
		
		/**		General 		**/
         
		body {
		font-size:<?php echo get_theme_mod( 'default_font_size' ); ?>;
		color : <?php echo get_theme_mod( 'color_text_general' ); ?>;
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_content,0,sep_font($font_content)) ) ; ?>', sans-serif;
		}

		/** 	COLOR 			**/
		
		.drop-down li a, .drop-down li span.separator {widget_calendar
		color:<?php echo get_theme_mod('color_main_menu_item') ; ?>;
		}		
		.drop-down li[class*="current"] > a, .drop-down li[class*="current"] > span, .drop-down li:hover > a, .drop-down li:hover > span {
		color: <?php echo get_theme_mod('color_main_menu_item_active') ; ?>;
		border-color : <?php echo get_theme_mod('color_main_menu_item_active') ; ?>;
		}		
		a {
		color: <?php echo get_theme_mod('color_link') ; ?>;
		}
		
		#wp-calendar tbody a {
		background-color : <?php echo get_theme_mod('color_link') ; ?>;
		}
		
		input[type="submit"], button, .breadcrumb a:hover,
		.horizontal-menu li[class*="current"] > a, .vertical-menu li[class*="current"] > a, .vertical-menu li a:hover,
		.bottom_menu li a:hover, a:hover  {
		color: <?php echo get_theme_mod('color_link_hover') ; ?>;
		}
		
		.entry-meta .tag-links a:hover, #wp-calendar tbody a:hover {
		background-color: <?php echo get_theme_mod('color_link_hover') ; ?>;
		}

		.entry-meta .tag-links a:hover:before {
		border-right-color: <?php echo get_theme_mod('color_link_hover') ; ?>;
		}

		.horizontal-menu li[class*="current"] > a {
		background: <?php echo get_theme_mod('color_link_hover') ; ?>;
		}		
		.vertical-menu li[class*="current"] > a {
		border-right-color: <?php echo get_theme_mod('color_link_hover') ; ?>;
		}		
		.vertical-menu.green li[class*="current"] > a, .vertical-menu.blue li[class*="current"] > a, .vertical-menu.turquoise li[class*="current"] > a, .vertical-menu.orange li[class*="current"] > a, .vertical-menu.red li[class*="current"] > a, .vertical-menu.brown li[class*="current"] > a,
		.vertical-menu.black li[class*="current"] > a, .vertical-menu.violet li[class*="current"] > a, .vertical-menu.green li[class*="current"] > a, .vertical-menu.green li[class*="current"] > a, .vertical-menu.green li[class*="current"] > a {
		border-right: none;
		background: <?php echo get_theme_mod('color_link_hover') ; ?>;
		}
		
		h2 a {
		color : <?php echo get_theme_mod( 'color_text_general' ); ?>;
		}
		
		/**		Slogan 		**/	
		
		.title-slogan {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_title_slogan,0,sep_font($font_title_slogan)) ) ; ?>', sans-serif;
		font-size : <?php echo get_theme_mod( 'title_slogan_fontsize' ); echo get_theme_mod( 'type_font_size_title_slogan' ); ?>;
		color: <?php echo get_theme_mod('color_title_slogan') ; ?>;
		}
		
		.text-slogan {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_slogan,0,sep_font($font_slogan)) ) ; ?>', sans-serif;
		color : <?php echo get_theme_mod( 'color_slogan' ); ?>;
		font-size : <?php echo get_theme_mod( 'slogan_fontsize' ); echo get_theme_mod( 'type_font_size_slogan' ); ?>;
		}
		
		/**		TITLE 		**/	
		
		.website-title {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_website_title,0,sep_font($font_website_title)) ) ; ?>', sans-serif;
		font-size : <?php echo get_theme_mod( 'website_title_fontsize' ); echo get_theme_mod( 'type_font_size_website_title' ); ?>;
		color: <?php echo get_theme_mod('color_website_title') ; ?>;
		}
		
		.website-subtitle {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_subtitle,0,sep_font($font_subtitle)) ) ; ?>', sans-serif;
		color : <?php echo get_theme_mod( 'color_subtitle' ); ?>;
		font-size : <?php echo get_theme_mod( 'subtitle_fontsize' ); echo get_theme_mod( 'type_font_size_subtitle' ); ?>;
		}

		h1, h1 a, h1 a:hover, .blog > h1, .blog > h2 {
		color: <?php echo get_theme_mod('colorh1') ; ?>;
		}		
		h2, h2 > a, h1 + h1 > a {
		color: <?php echo get_theme_mod('colorh2') ; ?>;
		}		
		.left_column h3, .right_column h3, .top-module-position h3, .bottom-module-position h3,
		.user1 h3, .user2 h3, .user3 h3, .user4 h3, .user5 h3, .user6 h3, .user7 h3, .user8 h3, .user9 h3 {
		color: <?php echo get_theme_mod('colorh2') ; ?>;
		}
		
		/**		FONT	**/
		
		.drop-down li a, .drop-down li span.separator {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_menu,0,sep_font($font_menu)) ) ; ?>', sans-serif;
		}
		.drop-down li {
		font-size : <?php echo get_theme_mod('main_menu_fontsize') ; echo get_theme_mod( 'type_font_size_main_menu' ); ?>;
		}
		h1, .blog > h1, .blog > h2 {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_h1,0,sep_font($font_h1)) ) ; ?>', sans-serif;
		font-size : <?php echo get_theme_mod('h1_fontsize') ; echo get_theme_mod( 'type_font_size_h1' ); ?>;
		}
		h1 + h1, h2, h3, h4, h5, h3.widget-title {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_h2,0,sep_font($font_h2)) ) ; ?>', sans-serif;
		}
		h1 + h1, h2 {
		font-size : <?php echo get_theme_mod('h2_fontsize') ; echo get_theme_mod( 'type_font_size_h2' ); ?>;
		}
		h3 {
		font-size : <?php echo get_theme_mod('h3_fontsize') ; echo get_theme_mod( 'type_font_size_h3' ); ?>;
		}
		h3.widget-title {
		font-size : <?php echo get_theme_mod('widget_title_fontsize') ; echo get_theme_mod( 'type_font_size_widget' ); ?>;
		}
		h4 {
		font-size : <?php echo get_theme_mod('h4_fontsize') ; echo get_theme_mod( 'type_font_size_h4' ); ?>;
		}
		h5 {
		font-size : <?php echo get_theme_mod('h5_fontsize') ; echo get_theme_mod( 'type_font_size_h5' ); ?>;
		}
		
		/**			Slideshow  **/
		
		.image-module-position {
		background: <?php echo get_theme_mod('bg_image') ; ?>;
		}
		
		.wrapper-image-module-position {
		width:<?php echo get_theme_mod( 'width_image' ); echo get_theme_mod( 'type_width_size_image' ); ?>;
		}
		
		/**			Width 		**/
		
		body {
		min-width : <?php echo get_theme_mod( 'width_website' ); echo get_theme_mod( 'type_width_size_website' ); ?>;
		}
		 
		.wrapper-website {
		width : <?php echo get_theme_mod( 'width_website' ); echo get_theme_mod( 'type_width_size_website' ); ?>;
		}		
		.left_column {
		width:<?php echo get_theme_mod( 'width_left' ); echo get_theme_mod( 'type_width_size_left' ); ?>;
		}
		.right_column {
		width:<?php echo get_theme_mod( 'width_right' ); echo get_theme_mod( 'type_width_size_right' ); ?>;
		}
		
		.user1 {
		width:<?php echo get_theme_mod( 'width_user1' ); ?>% ;
		}
		.user3 {
		width:<?php echo get_theme_mod( 'width_user3' ); ?>% ;
		}
		.user4 {
		width:<?php echo get_theme_mod( 'width_user4' ); ?>% ;
		}
		.user6 {
		width:<?php echo get_theme_mod( 'width_user6' ); ?>% ;
		}
		
		@media screen and (min-width: 979px) and (min-width: <?php echo get_theme_mod( 'width_website' ); echo get_theme_mod( 'type_width_size_website' ); ?>) {
		
			.header-fixed .website-header {
			position:fixed;
			top:0px;
			left:0;
			right:0;
			}	
		}
		
    </style>
    
    <?php
    
    //		Responsive code
    if ( get_theme_mod('responsive') == '1') {
    	
    	?>
    	<link href="<?php echo get_template_directory_uri(); ?>/media-queries.css" media="all" type="text/css" rel="stylesheet" >
    	<style type="text/css">
    		
    		.drop-down span.title_menu a, .icon-main-menu:before  {
			color: <?php echo get_theme_mod('color_link_hover') ; ?>;
			}
		
    	</style>
    	<?php
    	
    	}
    	
    else {
    	
    	?>
    	<link href="<?php echo get_template_directory_uri(); ?>/media-queries-no-responsive.css" media="all" type="text/css" rel="stylesheet" >
    	<?php
    
		}
		
	// for Animations Scrollreveal
	?>
	<style> [data-sr] { visibility: hidden; } </style>
	<?php
		
		
}

add_action( 'wp_head', 'load_template_options_header');

?>