<?php

function theme01_widgets_init() {

	register_sidebar( array(
		'name' => 'Left',
		'id' => 'left',
		'description' => 'Position to display your Widget in Left position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );
	
		register_sidebar( array(
		'name' => 'Logo',
		'id' => 'logo',
		'description' => 'Position to display your Logo',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<span class="hidden-title">',
		'after_title' => '</span>',
	) );
	
		register_sidebar( array(
		'name' => 'Translate',
		'id' => 'translate',
		'description' => 'Position to display your Translate widget',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<span class="hidden-title">',
		'after_title' => '</span>',
	) );	
	
		register_sidebar( array(
		'name' => 'Image',
		'id' => 'image',
		'description' => 'Position to display your Image or Slideshow',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<span class="hidden-title">',
		'after_title' => '</span>',
	) );

		register_sidebar( array(
		'name' => 'Top',
		'id' => 'top',
		'description' => 'Position to display your Widget in Top position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => 'Right',
		'id' => 'right',
		'description' => 'Position to display your Widget in Right position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => 'User1',
		'id' => 'user1',
		'description' => 'Position to display your Widget in User1 position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => 'User2',
		'id' => 'user2',
		'description' => 'Position to display your Widget in User2 position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => 'User3',
		'id' => 'user3',
		'description' => 'Position to display your Widget in User3 position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => 'User4',
		'id' => 'user4',
		'description' => 'Position to display your Widget in User4 position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => 'User5',
		'id' => 'user5',
		'description' => 'Position to display your Widget in User5 position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => 'User6',
		'id' => 'user6',
		'description' => 'Position to display your Widget in User6 position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => 'Bottom',
		'id' => 'bottom',
		'description' => 'Position to display your Widget in Bottom position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );

	register_sidebar( array(
		'name' => 'Address',
		'id' => 'address',
		'description' => 'Position to display your Widget in Address position',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<h3 class="widget-title "><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => 'Bottom menu',
		'id' => 'bottom_menu',
		'description' => 'Position to display your Bottom menu',
		'before_widget' => '<div id="%1$s" class="widget %2$s"><div>',
		'after_widget' => '</div><div class="icon-module"></div></div>',
		'before_title' => '<span class="hidden-title">',
		'after_title' => '</span>',
	) );	

}
add_action( 'widgets_init', 'theme01_widgets_init' );

?>