<?php

/*
	Theme Name: theme01
	Author: JoomSpirit

*/
 

add_filter( 'mce_buttons_2', 'juiz_mce_buttons_2' );  
   
if ( !function_exists('juiz_mce_buttons_2')) {  
    function juiz_mce_buttons_2( $buttons ) {  
        array_unshift( $buttons, 'styleselect' );  
   
        return $buttons;  
	}  
}  


add_filter( 'tiny_mce_before_init', 'juiz_mce_before_init' );  
   
if ( !function_exists('juiz_mce_before_init')) {  
	function juiz_mce_before_init( $styles ) {  
		
		$style_formats = array (
   
			// Style "Dropcap"  
			array(  
				'title' => __('Dropcap', 'theme01'),  
				'inline' => 'span',  
				'classes' => 'dropcap' 
			),  
   
			// Style "Inset left"  
			array(  
				'title' => __('Inset left', 'theme01'),  
				'inline' => 'span',  
				'classes' => 'inset-left'  
			),
			
			// Style "Inset right"  
			array(  
				'title' => __('Inset right', 'theme01'),  
				'inline' => 'span',  
				'classes' => 'inset-right'  
			),
			
			// Style "lead"  
			array(  
				'title' => __('Lead', 'theme01'),  
				'block' => 'div',  
				'classes' => 'lead',  
				'wrapper' => true  
			),


			//////////////////////////////			Alignment 			///////
			
			array(
            'title' => 'Alignment',
                'items' => array(
                
					// Style "align left"  
					array(  
						'title' => __('Align left', 'theme01'),  
						'block' => 'p',  
						'classes' => 'text-left' 
					),
			
					// Style "align right"  
					array(  
						'title' => __('Align right', 'theme01'),  
						'block' => 'p',  
						'classes' => 'text-right' 
					),
					
					// Style "align center"  
					array(  
						'title' => __('Align center', 'theme01'),  
						'block' => 'p',  
						'classes' => 'text-center' 
					),
					
					// Style "align justify"  
					array(  
						'title' => __('Align justify', 'theme01'),  
						'block' => 'p',  
						'classes' => 'text-justify' 
					)					
				)
			),

			//////////////////////////////			Blockquote 			///////
			
			array(
            'title' => 'Blockquote',
                'items' => array(
                
					// Style "Blockquote"  
					array(  
						'title' => __('Blockquote left side', 'theme01'),  
						'block' => 'blockquote',  
						'classes' => '' 
					),
			
					// Style "Blockquote right side"  
					array(  
						'title' => __('Blockquote right side', 'theme01'),  
						'block' => 'blockquote',  
						'classes' => 'pull-right'
					)
				)
			),
			
			
			//////////////////////////////			Unordered list 			///////
			
			array(
            'title' => 'Unordered list',
                'items' => array(

					// Style "Unordered list simple"  
					array(  
						'title' => __('Unordered list simple', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'simple'
					),
					
					// Style "Unordered list check"  
					array(  
						'title' => __('Unordered list check', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'check'
					),
					
					// Style "Unordered list circle"  
					array(  
						'title' => __('Unordered list circle', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'circle'  
					),
					
					// Style "Unordered list circle o"  
					array(  
						'title' => __('Unordered list circle-o', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'circle-o'  
					),
					
					// Style "Unordered list chevron"  
					array(  
						'title' => __('Unordered list chevron', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'chevron'  
					),
					
					// Style "Unordered list angle"  
					array(  
						'title' => __('Unordered list angle', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'angle'  
					),
					
					// Style "Unordered list angle double"  
					array(  
						'title' => __('Unordered list angle double', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'angle-double'  
					),
					
					// Style "Unordered list star"  
					array(  
						'title' => __('Unordered list star', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'star'  
					),
					
					// Style "Unordered list star-o"  
					array(  
						'title' => __('Unordered list star-o', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'star-o'  
					),
					
					// Style "Unordered list tag"  
					array(  
						'title' => __('Unordered list tag', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'tag'  
					),
					
					// Style "Unordered list arrow-circle"  
					array(  
						'title' => __('Unordered list arrow-circle', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'arrow-circle'  
					),
					
					// Style "Unordered list hand-o"  
					array(  
						'title' => __('Unordered list hand-o', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'hand-o'  
					),
					
					// Style "Unordered list share"  
					array(  
						'title' => __('Unordered list share', 'theme01'),  
						'selector' => 'ul',  
						'classes' => 'share'  
					)
				
				)
			),
			
			//////////////////////////////			Ordered list 			///////
			
			array(
            'title' => 'Ordered list',
                'items' => array(			

					// Style "Ordered list simple"  
					array(  
						'title' => __('Ordered list simple', 'theme01'),  
						'selector' => 'ol',  
						'classes' => 'simple'  
					),	
					
					// Style "Ordered list labels"  
					array(  
						'title' => __('Ordered list labels', 'theme01'),  
						'selector' => 'ol',  
						'classes' => 'labels'  
					),	
					
					// Style "Ordered list circle"  
					array(  
						'title' => __('Ordered list circle', 'theme01'),  
						'selector' => 'ol',  
						'classes' => 'circle'  
					)
				)
			),
			
			//////////////////////////////			Color boxes 			///////
			
			array(
            'title' => 'Color boxes',
                'items' => array(				
			
					// Style "Background white"  
					array(  
						'title' => __('Background white', 'theme01'),  
						'block' => 'div',  
						'classes' => 'bg-white clearfix',  
						'wrapper' => true  
					),
					
					// Style "Background grey"  
					array(  
						'title' => __('Background grey', 'theme01'),  
						'block' => 'div',  
						'classes' => 'bg-grey clearfix',  
						'wrapper' => true  
					),
					
					// Style "Background brown"  
					array(  
						'title' => __('Background brown', 'theme01'),  
						'block' => 'div',  
						'classes' => 'bg-brown clearfix',  
						'wrapper' => true  
					),
					
					// Style "Background blue"  
					array(  
						'title' => __('Background blue', 'theme01'),  
						'block' => 'div',  
						'classes' => 'bg-blue clearfix',  
						'wrapper' => true  
					),
					
					// Style "Background black"  
					array(  
						'title' => __('Background black', 'theme01'),  
						'block' => 'div',  
						'classes' => 'bg-black clearfix',  
						'wrapper' => true  
					),
					
					// Style "Background green"  
					array(  
						'title' => __('Background green', 'theme01'),  
						'block' => 'div',  
						'classes' => 'bg-green clearfix',  
						'wrapper' => true  
					),
					
					// Style "Background turquoise"  
					array(  
						'title' => __('Background turquoise', 'theme01'),  
						'block' => 'div',  
						'classes' => 'bg-turquoise clearfix',  
						'wrapper' => true  
					),
					
					// Style "Background orange"  
					array(  
						'title' => __('Background orange', 'theme01'),  
						'block' => 'div',  
						'classes' => 'bg-orange clearfix',  
						'wrapper' => true  
					),
					
					// Style "Background red"  
					array(  
						'title' => __('Background red', 'theme01'),  
						'block' => 'div',  
						'classes' => 'bg-red clearfix',  
						'wrapper' => true  
					),
					
					// Style "Background violet"  
					array(  
						'title' => __('Background violet', 'theme01'),  
						'block' => 'div',  
						'classes' => 'bg-violet clearfix',  
						'wrapper' => true  
					)
				)
			),
			
			//////////////////////////////			Image 			///////
			
			array(
            'title' => 'Image',
                'items' => array(
					
					// Style "Image border"  
					array(  
						'title' => __('Image border', 'theme01'),  
						'selector' => 'img',  
						'classes' => 'border'
					)
				)
			)
			
		);  
   
		// replace existing styles by the new ones 
		$styles['style_formats'] = json_encode( $style_formats );  
   
		return $styles;  
	}  
}


?>
